Page MenuHomePhabricator

Should be possible to create a View which does not render a template using enhance
Closed, ResolvedPublic

Description

We use the enhance option in PageList and https://gerrit.wikimedia.org/r/#/c/207177/5/resources/ext.gather.collections.list/CollectionsList.js to prevent the template from rendering and make it possible to enhance an existing view.

As we move more towards server side template rendering this will become more important.
We should make this part of the View

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: Readers-Web-Backlog.
Jdlrobson moved this task to Triaged but Future on the Readers-Web-Backlog board.
Jdlrobson added subscribers: Jdlrobson, Jhernandez.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 30 2015, 3:35 PM
Jdlrobson claimed this task.May 1 2015, 6:35 PM

Change 208166 had a related patch set uploaded (by Jdlrobson):
Allow View's to enhance existing server side render views

https://gerrit.wikimedia.org/r/208166

Change 208166 merged by jenkins-bot:
Allow View to enhance existing a server side rendered view

https://gerrit.wikimedia.org/r/208166

Jdlrobson closed this task as Resolved.May 12 2015, 11:13 AM